device(1).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(29).
job(30).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
job_len(14,16).
job_len(13,13).
job_len(12,7).
job_len(11,18).
job_len(10,5).
job_len(9,18).
job_len(8,10).
job_len(7,14).
job_len(6,7).
job_len(5,15).
job_len(4,5).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
importance(30,2).
importance(29,2).
importance(28,3).
importance(27,2).
importance(26,3).
importance(25,3).
importance(24,2).
importance(23,2).
importance(22,2).
importance(21,1).
importance(20,2).
importance(19,3).
importance(18,3).
importance(17,2).
importance(16,3).
importance(15,2).
importance(14,2).
importance(13,3).
importance(12,2).
importance(11,1).
importance(10,3).
importance(9,2).
importance(8,3).
importance(7,2).
importance(6,1).
importance(5,1).
importance(4,1).
importance(3,3).
importance(2,2).
importance(1,2).
job_device(1,1).
job_device(4,2).
job_device(7,2).
job_device(10,1).
job_device(13,1).
job_device(16,2).
job_device(19,2).
job_device(22,2).
job_device(25,2).
job_device(28,2).
job_device(2,4).
job_device(5,4).
job_device(8,4).
job_device(11,4).
job_device(14,3).
job_device(17,4).
job_device(20,4).
job_device(23,4).
job_device(26,3).
job_device(29,4).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_len(30,3).
job_len(29,15).
job_len(28,3).
job_len(27,12).
job_len(26,14).
job_len(25,16).
job_len(24,10).
job_len(23,17).
job_len(22,4).
job_len(21,18).
job_len(20,18).
job_len(19,14).
job_len(18,17).
job_len(17,4).
job_len(16,9).
job_len(15,19).
job_len(3,10).
job_len(2,18).
job_len(1,18).
deadline(3,11).
deadline(6,16).
deadline(9,30).
deadline(12,29).
deadline(15,28).
deadline(18,36).
deadline(21,30).
deadline(24,33).
deadline(27,25).
deadline(30,22).
max_total_penalty(1141).
curr_job_start(24,37).
curr_job_start(6,20).
curr_job_start(23,20).
curr_job_start(5,5).
curr_job_start(22,5).
curr_job_start(4,0).
curr_on_instance(24,1).
curr_on_instance(23,1).
curr_on_instance(22,1).
curr_on_instance(6,1).
curr_on_instance(5,1).
curr_on_instance(4,1).
curr_time(46).
max_value(1247).

